Subject: Re: [apps-discuss] Working Group Last Call: draft-ietf-appsawg-media-type-suffix-regs

From: Tony Hansen <[email-masked]>
Date: Thu, 16 Aug 2012 08:57:04 -0400

Sorry for the delay in responding to this. I've been gone almost 
continuously, with little time for email.

inline comments below.

     Tony Hansen

On 7/18/2012 8:36 PM, Mark Nottingham wrote:
> On 17/07/2012, at 3:26 PM, Tony Hansen wrote:
>
>> Mark, the suffix-regs doc is mostly trying to document the rules under which existing suffixes have been informally permitted in the past and provide a more formal basis for them to be used in the future. Except for +ber, +der and +zip, there are already examples of the other suffixes mentioned in this document. For example, in addition to all of the +xml media types, consider all of these media types that are already being used:
>>
>>     application/soap+fastinfoset
>>     ...
>>     application/vnd.wv.csp+wbxml
>>
>> You ask about the guidance being provided to the Expert Reviewers in the media type registry document. That advice is expanded on by the media-type-suffix-regs document;
> Where? I'm talking about guidance for new suffixes, not new media types using existing suffixes.

Okay, my misunderstanding on your earlier question. In summary, your 
question is, when can a new suffix be created and why isn't that 
discussed in suffix-regs?

I don't believe that any discussion of this topic belongs in 
draft-ietf-appsawg-media-type-suffix-regs.

>> Expert Reviewers should consider both pieces of guidance. (One can argue that the additional guidance in this document should have been in the other document; for various reasons it didn't happen.)
>>
>> And yes, the gateway is being protected by an Expert Reviewer. But that's been true for them in the past, as well as all of the media types in general. I don't see anyone being to drive a tank through that gateway any more easily now than they have in the past. As an example of a recently proposed media type suffix that did *not* pass muster, consider +exi.
> *sigh*
>
> We can, and should, do better than this.

In summary, your question is, where is the advice for expert reviewers?

I feel that what is in section 2 is sufficient to answer this. If you 
have suggested wording to improve it, feel free to post it.

Thanks for your comments.

     Tony Hansen